aboutsummaryrefslogtreecommitdiff
path: root/net/tdetect/files/tdetect.sh
diff options
context:
space:
mode:
Diffstat (limited to 'net/tdetect/files/tdetect.sh')
-rw-r--r--net/tdetect/files/tdetect.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/net/tdetect/files/tdetect.sh b/net/tdetect/files/tdetect.sh
new file mode 100644
index 000000000000..d12593c9af97
--- /dev/null
+++ b/net/tdetect/files/tdetect.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+ETHERNETDEV=ed0
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/sbin/tdetect ] && ${PREFIX}/sbin/tdetect $ETHERNETDEV && echo -n " tdetect"
+ ;;
+stop)
+ killall tdetect && echo -n " tdetect"
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0